Permalink
Browse files

patch 8.0.1059: older Gnome terminal returns smaller version number

Problem:    older Gnome terminal returns smaller version number. (antarestrue)
Solution:   Lower version limit from 2800 to 2500. (#2032)
  • Loading branch information...
brammool committed Sep 5, 2017
1 parent 8b53b79 commit 3d8d2c7ca5dda5bfd62c6d5df6659cf62e960a3d
Showing with 5 additions and 3 deletions.
  1. +3 −3 src/term.c
  2. +2 −0 src/version.c
View
@@ -4572,12 +4572,12 @@ check_termcode(
&& STRNCMP(tp + extra - 2, "1;95;0c", 7) == 0)
is_not_xterm = TRUE;
# endif
/* Gnome terminal sends 1;3801;0 or 1;4402;0.
/* Gnome terminal sends 1;3801;0, 1;4402;0 or 1;2501;0.
* xfce4-terminal sends 1;2802;0.
* screen sends 83;40500;0
* Assuming any version number over 2800 is not an
* Assuming any version number over 2500 is not an
* xterm (without the limit for rxvt and screen). */
if (col >= 2800)
if (col >= 2500)
is_not_xterm = TRUE;
/* PuTTY sends 0;136;0 */
View
@@ -769,6 +769,8 @@ static char *(features[]) =
static int included_patches[] =
{ /* Add new patch number below this line */
/**/
1059,
/**/
1058,
/**/

0 comments on commit 3d8d2c7

Please sign in to comment.